# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/SlackRTM.pm) perl(Bot/Backbone.pm) perl(Bot/Backbone/Message.pm) perl(Bot/Backbone/Service.pm) perl(Bot/Backbone/Service/Role/BareMetalChat.pm) perl(Bot/Backbone/Service/Role/Dispatch.pm) perl(Bot/Backbone/Service/Role/GroupJoiner.pm) perl(Bot/Backbone/Service/Role/Service.pm) perl(CHI.pm) perl(Carp.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(WebService/Slack/WebApi.pm) perl(lib.pm) perl(warnings.pm) perl(POE/Loop/AnyEvent.pm)
# END SourceDeps(oneline)
%define module_version 0.161950
%define module_name Bot-Backbone-Service-SlackChat
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.161950
Release: alt1
Summary: Bot::Backbone service for communicating with Slack
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HANENKAMP/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This allows a the Bot::Backbone manpage chat bot to be connect to a Slack server using their Real-Time Messaging API.

This is based on the AnyEvent::SlackRTM manpage and the WebService::Slack::WebApi manpage. It also uses a the CHI manpage cache to help avoid contacting the Slack server too often, which could result in your bot becoming rate limited.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/B*

%changelog
* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.161950-alt1
- initial import by package builder

